Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
ezpKernelRedirect Class Reference
Inheritance diagram for ezpKernelRedirect:

## Public Member Functions
| __construct ( $url, $redirectStatus=null, $content=null)
| getStatusCode ()
| getTargetUrl ()
Public Member Functions inherited from ezpKernelResult
| __construct ( $content=null, array $defaultAttributes=array())
| setContent ( $content)
| getContent ()
| setAttribute ( $name, $value)
| getAttribute ( $name, $defaultValue=null)
| hasAttribute ( $name)
| getAttributes ()
| setAttributes (array $attributes)
| replaceAttributes (array $attributes)

## Private Attributes
| $targetUrl
| $statusCode

## Detailed Description

File containing the ezpKernelRedirect class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag// Struct containing information on HTTP redirection.

Definition at line 14 of file ezpkernelredirect.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpKernelRedirect::__construct | ( |  | $url,
|  |  | $redirectStatus = `null`,
|  |  | $content = `null`
| ) |  |

Definition at line 30 of file ezpkernelredirect.php.

References ezpKernelResult\$content, and $url.

## Member Function Documentation

## ◆ getStatusCode()

ezpKernelRedirect::getStatusCode | ( |  | ) |

Returns
  int

Definition at line 40 of file ezpkernelredirect.php.

References $statusCode.

## ◆ getTargetUrl()

ezpKernelRedirect::getTargetUrl | ( |  | ) |

Returns
  string

Definition at line 48 of file ezpkernelredirect.php.

References $targetUrl.

## Member Data Documentation

## ◆ $statusCode

ezpKernelRedirect::$statusCode
| private

Definition at line 28 of file ezpkernelredirect.php.

Referenced by getStatusCode().

## ◆ $targetUrl

ezpKernelRedirect::$targetUrl
| private

Definition at line 21 of file ezpkernelredirect.php.

Referenced by getTargetUrl().

The documentation for this class was generated from the following file:

- ezpkernelredirect.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.